# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'grapefruit/version'

Gem::Specification.new do |spec|
  spec.name          = "grapefruit"
  spec.version       = Grapefruit::VERSION
  spec.authors       = ["Team Exception"]
  spec.email         = ["exception@pearson.com"]
  spec.description   = %q{Alfresco -> Fresca -> Grapefruit Soda}
  spec.summary       = %q{A sane library for interacting with Alfresco}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "autotest"
  spec.add_dependency "rest-client"
  spec.add_dependency "nokogiri"
  spec.add_dependency "dotenv"
end
