require File.join(File.expand_path(File.dirname(__FILE__)),"..","lib","grapefruit")

class FakeCMISClient
end

class FakeFolder < Grapefruit::Folder
  def to_xml
    <<-eoxml
      <?xml version="1.0" encoding="utf-8"?>
      <entry xmlns="http://www.w3.org/2005/Atom"
      xmlns:cmisra="http://docs.oasis-open.org/ns/cmis/restatom/200908/"
      xmlns:cmis="http://docs.oasis-open.org/ns/cmis/core/200908/">
       <title>Test Folder #{Time.now.to_f}</title>
       <cmisra:object>
       <cmis:properties>
       <cmis:propertyId propertyDefinitionId="cmis:objectTypeId">
          <cmis:value>cmis:folder</cmis:value>
        </cmis:propertyId>
       </cmis:properties>
       </cmisra:object>
      </entry>
    eoxml
  end
end
